# Type Alias CloneAttachFunction

CloneAttachFunction: ((clonedElement?: shared/jqlite/jqlite, scope?: core/scope/scope) => any)

#### Type declaration

- - (clonedElement?, scope?): any

  - #### Parameters

    - `Optional` clonedElement: shared/jqlite/jqlite
    - `Optional` scope: core/scope/scope

      // Let's hint but not force cloneAttachFn's signature

    #### Returns any

- Defined in types.js:192